
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《深入解析Android 虚拟机》——第2章，第2.1节虚拟机的作用 / iVAN</title>

    <meta name="description" content="《深入解析Android 虚拟机》——第2章，第2.1节虚拟机的作用 第2章 Java虚拟机基础 深入解析Android 虚拟机 Java虚拟机和Android虚拟机十分相似,所以在本书中将以Java虚拟机开始,逐步引领广大读者步入Android虚拟机的世界.在本章的内容中,将简要讲解Java虚拟机技术的基本知识,为读者步入本书后面知识的学习打下基础. 2.1 虚拟机的作用 虚拟机(Virtual Machine)这一概念最初由波佩克与戈德堡定义,是指通过软件模拟的具有完整硬件系统功能的.运行在一个完全隔离环境中的完整计算机系统.由此可见,虚拟机是跟特定硬件无关的">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《深入解析Android 虚拟机》——第2章，第2.1节虚拟机的作用</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>第2章 Java虚拟机基础</strong><br />
深入解析Android 虚拟机<br />
Java虚拟机和Android虚拟机十分相似，所以在本书中将以Java虚拟机开始，逐步引领广大读者步入Android虚拟机的世界。在本章的内容中，将简要讲解Java虚拟机技术的基本知识，为读者步入本书后面知识的学习打下基础。</p>
<p><strong>2.1　虚拟机的作用</strong><br />
虚拟机（Virtual Machine）这一概念最初由波佩克与戈德堡定义，是指通过软件模拟的具有完整硬件系统功能的、运行在一个完全隔离环境中的完整计算机系统。由此可见，虚拟机是跟特定硬件无关的一个系统。在现实应用中，虚拟机最常见的情形便是双系统。例如计算机原装系统是Windows，为了在这台机器上能够体验Linux系统，可以安装一个虚拟机环境，在这个虚拟机环境中运行Linux系统，这样就实现了“一机双系统”的功效。在现实应用中，通过虚拟机软件可以在一台物理计算机上模拟出一台或多台虚拟的计算机。这些虚拟机完全可以像真正的计算机那样进行工作，例如可以安装操作系统、安装应用程序、访问网络资源等等。对于使用用户而言，虚拟机只是运行在物理计算机上的一个应用程序。但是对于在虚拟机中运行的应用程序来说，虚拟机就是一台真正计算机。正因为如此，所以当在虚拟机中进行软件评测时，可能会发生系统崩溃的情形。但是这里崩溃的只是虚拟机上的操作系统，而不是物理计算机上的操作系统。可以使用虚拟机的“Undo”（恢复）功能，立即恢复虚拟机到安装软件之前的状态。</p>
<p>虚拟机根据它们的运用以及与直接机器的相关性分为两大类。系统虚拟机提供一个可以运行完整操作系统的完整系统平台；相反，程序虚拟机为运行单个计算机程序设计，这意谓它支持单个进程。虚拟机的一个本质特点是运行在虚拟机上的软件被局限在虚拟机提供的资源里——它不能超出虚拟世界。</p>
<p>在现实应用中，对于一般计算机用户来说，最常见的使用虚拟机的情形是安装双系统。例如在Windows平台上安装一个虚拟机，然后在这个虚拟机中安装Linux操作系统或iOS系统，这样就实现了双系统功能。</p>
<p>在当前流行的编程语言Java中，便是采用了虚拟机机制，Java的虚拟机被称为Java Virtual Machine，缩写为JVM。用Java编写的程序可以通过对Java运行环境（JRE）软件发出命令获得服务，取得期望的结果。透过提供这种服务，JRE起到了虚拟机的作用，程序不必为特定的操作系统或硬件编写。</p>
<p>Java虚拟机和Android虚拟机十分相似，所以在本书中将以Java虚拟机开始，逐步引领广大读者步入Android虚拟机的世界。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 05:04:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a1%e7%ae%97%e6%9c%ba%e7%b3%bb%e7%bb%9f/" title="计算机系统">计算机系统</a>, <a href="https://www.iamivan.net/tag/machine/" title="Machine">Machine</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《深入解析Android 虚拟机》——第2章，第2.1节虚拟机的作用的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0R9xnz.html" rel="bookmark">《深入解析Android 虚拟机》&mdash;&mdash;第2章 Java虚拟机基础   2&period;1虚拟机的作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1 虚拟机的作用 虚拟机(Virtual Machine)这一概念最初由波佩克与戈德堡定义,是指通过软件模拟的具有完整硬件系统功能的.运行在一个完全隔离环境中的完整计算机系统.由此可见,虚拟机是跟特定硬件无关的一个系统.在现实应用中,虚拟机最常见的情形便是双系统.例如计算机原装系统是Windows,为了在这台机器上能够体验Linux系统,可以安装一个虚拟机环境,在这个虚拟机环境中运行Linux系统,这样就实现了&quot;一机双系统&quot;的功效.在现实应用中,通过虚拟机软件可以在一台物理计算机上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjL59Vp.html" rel="bookmark">《深入解析Android 虚拟机》&mdash;&mdash;第2章，第2&period;5节内存异常和垃圾处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 内存异常和垃圾处理 对于C和C++的开发人员来说,在内存管理领域应该能够游刃有余.在计算机系统中,内存负责维护每一个对象生命的从开始到终结.Java内存分配与管理是Java的核心技术之一,通常Java在内存分配时会涉及到以下区域. 寄存器:在程序中无法控制. 栈:存放基本类型的数据和对象的引用,但对象本身不存放在栈中,而是存放在堆中. 堆:存放用new产生的数据. 静态域:存放在对象中用static定义的静态成员. 常量池:存放常量. 非RAM存储:硬盘等永久存储空间. 2.5.1 内存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRJo6b.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第1章，第1&period;1节安装操作系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 建立Android系统开发环境 深入解析Android 5.0系统 在开始研究Android系统之前,需要预先准备好系统开发需要的各种资源:包括操作系统.各种开发工具以及Android源码等.本章将介绍这些资源的获取途径和安装方法. 在阅读本书前,读者需要掌握一些必要的技能.Android应用使用Java语言开发,底层使用C/C++开发,因此,掌握Java 语言和 C/C++语言是进行Android 系统开发的必要条件.Android运行在Linux内核(从标准的Linux内核修改移植而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boR0RDz.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第6章，第6&period;2节Android native层的同步方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.2 Android native层的同步方法 深入解析Android 5.0系统 Android在Linux提供的线程同步函数的基础上进行了二次封装,让实现线程同步更加简单方便.这些同步类和函数在native层的代码中出现的非常频繁. 6.2.1 互斥体Mutex和自动锁Autolock Mutex和Autolock是Android native层最常见的一种临界区保护手段,Autolock只是提供了一种更简便的使用Mutex的方法. Mutex是一个C++的类,它的接口如下所示: clas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamxQgb.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第1章，第1&period;4节下载源码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 下载源码 深入解析Android 5.0系统 对于国内的开发者而言,下载Android的源码从来不是一件简单的事.因为一些原因,目前国内已经不能访问Android的源码网站了,最近好像连Android的官方网站也访问不了.对公司而言这不是难题,因为很多公司都有国外的VPN账号或者海外服务器.笔者下载Android的源码就是通过亚马逊的云服务器完成的.只要有国内大型银行的信用卡帐号,就可以在亚马逊平台上免费开通一个EC2服务器(免费使用期一年).亚马逊提供的带宽差不多有一个G,不到半个小时			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGZoK2p.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第6章，第6&period;4节Android的消息机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.4 Android的消息机制 深入解析Android 5.0系统 消息驱动是一种进程或线程的运行模式.内部.外部的各种事件都可以放到消息队列中按序处理.这种模式特别适合处理大量的交互事件.Android应用的UI线程,同样采用了消息驱动模式,所有外部来的按键消息.触屏消息.各种系统Intent.广播等都会转化为内部的消息,然后在主线程中分发处理. 6.4.1 消息模型 现在的操作系统普遍采用消息驱动模式.Windows操作系统就是典型的消息驱动类型.但是,Android的消息处理机制和Win			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5EJAp.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第6章，第6&period;3节Android Java层的同步机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.3 Android Java层的同步机制 深入解析Android 5.0系统 Java语言和C/C++语言不一样,Java语言中提供了同步关键字synchronized来支持线程间的同步操作. 6.3.1 同步关键字synchronized synchronized关键字最常见的用法是保护一段代码,如下所示: class Foo implements Runnable { private String mLock; public void lockedMethod() { ...... sy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NQNPz.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第1章，第1&period;2节安装开发包</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 安装开发包 深入解析Android 5.0系统 Android系统的编译需要依赖一些第三方的开发包和工具,包括Oracle的JDK(以前属于Sun公司).大部分的软件包都能通过apt-get来安装和升级,非常方便,但是JDK不能通过这种方式安装,只能从Oracle的官方网站下载软件包手动安装.从Android 5.0开始,Google支持使用OpendJDK 1.7来编译Android,因此,我们又可以使用apt-get快速地安装编译环境.对于Android 5.0以前的代码,还是需要使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvWqV1p.html" rel="bookmark">《深入解析Android 5&period;0系统》&mdash;&mdash;第6章，第6&period;5节进程间的消息传递</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.5 进程间的消息传递深入解析Android 5.0系统Android的消息可以在进程之间传递.进程间消息传递是建立在Binder通信基础之上的.Binder本身用来在进程间传递信息已经足够了,这里介绍的进程间消息传递方法只是让应用在设计上更加便利,并不是架构上大的改进. 我们知道,只要有了Binder的引用对象就可以调用其功能.Android中如果希望向另一个进程的Handler发送消息,一定要通过某个Binder对象来代理完成.在Handler类中,方法getIMessage()会创建一个			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnnekp.html" rel="bookmark" class="title">关于 XML 的十种观点</a>
					<div>
						xml     在计算机信息技术中,少有象类似 XML 那样的技术,她让人们产生范围很大的联想,而这些联想及其应用又可能相距甚远.她也更多引起人们对 XML 彼此不同的理解与认识,当然也包括误解.她什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN9PPb.html" rel="bookmark" class="title">java硬件</a>
					<div>
						很多人应该和我一样觉得Java的运行效率实在成问题,但是无论如何Java的结构和复杂性决定了它是一种需要慢慢开发,并且产品价格昂贵的高级语言.所以不管怎样Java确实已经在高端的开发工程中占据了主流的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4OX1p.html" rel="bookmark" class="title">ASP&period;Net：基于窗体的身份验证</a>
					<div>
						asp.net     基于窗体的验证是最为普遍的一种验证,使用这种验证方式可以很方便灵活地应用到应用程序中.窗体验证方式对基于用户的验证授权提供了很好的支持,可以通过一个登录页面验证用户的身份,将此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5nLAz.html" rel="bookmark" class="title">如何把 Windows Server 2008 R2 SP1 中文标准版的显示语言改为英文</a>
					<div>
						&quot;阿里云&quot;云服务器提供的 Windows 操作系统是 Windows Server 2008 R2 SP1 中文标准版.之前习惯了用英文版 Windows,用英文版的好处之一,出现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElWO3z.html" rel="bookmark" class="title">高性能的MySQL（5）索引策略一压缩，冗余，重复，索引和锁</a>
					<div>
						一.压缩索引 MyISAM使用前缀压缩来减少索引的大小,默认只压缩字符串,但是通过设置也可以对整数做压缩. 压缩可以使用更少的空间,代价是某些操作可能更慢.特别是倒序的查询,测试表明,对于CPU密集型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO2Bwb.html" rel="bookmark" class="title">如何顺利迁移到云上</a>
					<div>
						1. 牢记基础知识 不要忘记迁移过程中的每一个基本步骤.虽然迁移过程中不得不停机,但在原有服务器还在的时候,要尽可能多.尽可能频繁地做负载测试.此外,还要记住修改域名DNS,一般来说还要将TTL设置得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO385b.html" rel="bookmark" class="title">JS文本框默认值处理详解</a>
					<div>
						以下代码是对JS文本框的默认值处理进行了介绍,需要的朋友可以参考下   复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt;       ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2EJ5p.html" rel="bookmark" class="title">office2013如何卸载？</a>
					<div>
						  office2013如何卸载?许多电脑用户都会遇到软件卸载不干净的时候,让人非常苦恼.其中,不少网友指出,office2013也存在卸载不干净的问题.那么,有什么方法可以让office2013完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXGoEp.html" rel="bookmark" class="title">利用命令删除Win8系统没有获得权限怎么办</a>
					<div>
						  微软在win7 64位以上操作系统对安全与管理机制也越来越严密,想必大家都知道没有获得管理器权限的情况下很多操作会受到限制.平常我们也会对一些文件进行删除,如果是在win8系统中没有获得权限又该如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3GAEM.html" rel="bookmark" class="title">计算机图形学问题求解答</a>
					<div>
						问题描述 计算机图形学问题求解答 对于61英寸显示器,x和y两方向分辨率相等,即1920*1920,那么每个像素直径多少 解决方案 你可以找一个显示器的参数,看一下,然后就知道怎么计算了.像素的实际大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo2mRb.html" rel="bookmark" class="title">java-tomcat8单独可以打开主页和自己的页面，在ecilpse里只能打开主页，为什么？</a>
					<div>
						问题描述 tomcat8单独可以打开主页和自己的页面,在ecilpse里只能打开主页,为什么? tomcat8单独可以打开主页和自己的页面,在ecilpse里启动tomcat只能打开主页,为什么?请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nemmz.html" rel="bookmark" class="title">【转载】为什么软件界面截图不存为jpg 而推荐png？</a>
					<div>
						软件界面截图应保存为哪种图像格式?这其中大有学问.  png是软件截屏的最佳选择(体积最小:最清晰): jpg是根本错误的选择 :gif是可以接受的选择:bmp是最愚蠢的过时方案--绝大多数情况下,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwn4Ep.html" rel="bookmark" class="title">weblogic部署    应用启动优先级     求高手</a>
					<div>
						问题描述 现在有4个应用系统程序server1server2server3server4server2的启动依赖于server1的成功启动server3.server4的启动依赖于server2的成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32n7gz.html" rel="bookmark" class="title">EF&percnt;BB&percnt;BF的用法，求老司机带</a>
					<div>
						问题描述 EF%BB%BF的用法,求老司机带 解决方案 解决方案二:不明觉厉--看着像是url编码,但用UrlDecode解码解不出来解决方案三:是不是什么的十六进制,百分号是分隔符解决方案四:引用2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3RBvz.html" rel="bookmark" class="title">被MapX搞得晕头转向，急于求成，求一个Delphi7&plus;MapX&plus;Access数据绑定的可用的例子</a>
					<div>
						问题描述 现在在数据绑定上犯了难,手册艰涩难懂,急需有人点化一下假设有一Access表Taba,字段及值如下:IDNameXY1一-105.5282二-10427.53三-105.326.5想通过绑定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AaBNz.html" rel="bookmark" class="title">hadoop2&period;6完全分布式安装HBase1&period;1</a>
					<div>
						对于全分布式的HBase安装,需要通过hbase-site.xml文档来配置本机的HBase特性,由于各个HBase之间通过zookeeper来进行通信,因此需要维护一组zookeeper系统,关于z ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK9rZz.html" rel="bookmark" class="title">如何在 CentOS 7 中使用 SSL&sol;TLS 加固 FTP 服务器进行安全文件传输</a>
					<div>
						在一开始的设计中,FTP(文件传输协议)就是不安全的,意味着它不会加密两台机器之间传输的数据以及用户的凭据.这使得数据和服务器安全面临很大威胁. 在这篇文章中,我们会介绍在 CentOS/RHEL 7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAemvM.html" rel="bookmark" class="title">MD5算法解析</a>
					<div>
						MD5的全称是Message-Digest Algorithm 5,在90年代初由MIT的计算机科学实验室和RSA Data Security Inc发明,经MD2.MD3和MD4发展而来. MD5将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRNqZb.html" rel="bookmark" class="title">Nginx流媒体支持配置</a>
					<div>
						Nginx是一个短小精悍,且性能超强的Web服务器,同时也可以用作反向代理服务器以及邮件服务器.除此之外Nginx也可以用于搭建一个简易的流媒体服务器.基于此,本文描述了在Nginx 1.8之上构建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1vGaz.html" rel="bookmark" class="title">entity framework-asp&period;net mvc重新增加  ASP&period;NET实体数据模型  出不来新增加的表</a>
					<div>
						问题描述 asp.net mvc重新增加 ASP.NET实体数据模型 出不来新增加的表 解决方案 把表关系去掉就行了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7Ve2z.html" rel="bookmark" class="title">开源机器人 Ai&period;Frame 改善人机交互，让你的&OpenCurlyDoubleQuote;高达&rdquo;随你而动</a>
					<div>
						一男一女结婚,高富帅的老公超有财产保护意识,逼着媳妇签了婚前协议.结果上面只写了一句:所有的变形金刚都是我的! 以前我一直以为这是个笑话,直到知道我朋友里还真有人居然因为女朋友弄坏了自己的一个高达机器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Remnz.html" rel="bookmark" class="title">大神们求解，用的3&period;0&comma;在注册的时候出现error208，如何解决，确实搜不到208到底是哪儿的问题。感谢感谢！</a>
					<div>
						问题描述 解决方案 你看看你的管理后台是什么注册模式,是开放注册模式吗解决方案二:清理下工程.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoXkjM.html" rel="bookmark" class="title">dataset-c&num;labelview如何显示DataSet的数据</a>
					<div>
						问题描述 c#labelview如何显示DataSet的数据 刚刚接触C#,急求,望各位朋友照顾,c#labelview如何显示DataSet的数据 解决方案 dataset是数据表的集合, 那么有一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YP5Nz.html" rel="bookmark" class="title">建好分类 图解iis上如何管理众多的网站</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在很多站长都用vps或服务器,无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNaydM.html" rel="bookmark" class="title">【转】小生我怕怕工具包&lbrack;2010&period;06&period;17&rsqb;（转自52破解论坛）</a>
					<div>
						该破解工具包是52破解论坛的斑竹小生我怕怕搜集制作,喜欢的可以下了啊------------------------------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBPqwM.html" rel="bookmark" class="title">json-ajaxfrom 提交带文件的from 是返回有问题！ 求助~！！</a>
					<div>
						问题描述 ajaxfrom 提交带文件的from 是返回有问题! 求助~!! function submit() { var formData = new FormData($( &quot;#upl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2XPmM.html" rel="bookmark" class="title">JavaScript基础语法之js表达式&lowbar;javascript技巧</a>
					<div>
						本文将详细介绍javascript表达式,表达式分为原始表达式和复杂表达式.一般,关于javascript基础语法,人们听得比较多的术语是操作符和语句.但,其实还有一个术语经常使用,却很少被提到,这就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqYDAp.html" rel="bookmark" class="title">eregi&lowbar;replace&lpar;&rpar;中特殊字符的处理方法&lowbar;正则表达式</a>
					<div>
						我对PHP的正则表达式不太熟悉      在使用eregi_replace()函数时发现带有()的字符串不能进行替换,看了手册还是糊里糊涂      比如      将   DIN   1693(Pt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVnkqz.html" rel="bookmark" class="title">深入理解ob&lowbar;flush和flush的区别&lpar;ob&lowbar;flush&lpar;&rpar;与flush&lpar;&rpar;使用方法&rpar;&lowbar;php技巧</a>
					<div>
						有关php的ob_flush()与flush()使用方法 注意:ob_flush()和flush()这两个函数一般要一起使用,顺序是先ob_flush(),然后flush(),它们的作用是刷新缓冲区. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv5PNM.html" rel="bookmark" class="title">js实现倒计时&lpar;距离结束还有&rpar;示例代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;SCRIPT LANGUAGE=&quot;JavaScript&quot;&gt; &lt;!-- var maxtime = 60*60;//60*60 //一个小时 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
